Software Licenses
3
LIBXFCE4UTIL Library

# Software Licenses

## Synopsis

    #include <libxfce4util/libxfce4util.h>

    #define             XFCE_LICENSE_BSD
    #define             XFCE_LICENSE_GPL
    #define             XFCE_LICENSE_LGPL
    enum                XfceLicenseTextType;
    const gchar*        xfce_get_license_text               (XfceLicenseTextType license_type);

## Description

## Details

### XFCE_LICENSE_BSD

    #define XFCE_LICENSE_BSD  (xfce_get_license_text (XFCE_LICENSE_TEXT_BSD))

Contains the text of the BSD license.

### XFCE_LICENSE_GPL

    #define XFCE_LICENSE_GPL  (xfce_get_license_text (XFCE_LICENSE_TEXT_GPL))

Contains the text of the GNU General Public License.

### XFCE_LICENSE_LGPL

    #define XFCE_LICENSE_LGPL (xfce_get_license_text (XFCE_LICENSE_TEXT_LGPL))

Contains the text of the GNU Lesser General Public License.

### enum XfceLicenseTextType

    typedef enum /*< enum >*/
    {
      XFCE_LICENSE_TEXT_BSD,
      XFCE_LICENSE_TEXT_GPL,
      XFCE_LICENSE_TEXT_LGPL,
    } XfceLicenseTextType;

The license text to return from `xfce_get_license_text()`.

### xfce_get_license_text ()

    const gchar*        xfce_get_license_text               (XfceLicenseTextType license_type);

Returns the text of the software license specified in the `license_type` translated to the current language. If no translation is available, the english license text will be returned.

`license_type` :

  an XfceLicenseTextType.

Returns :

  the license text for `license_type`.